<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE Entity SYSTEM "jbo_03_01.dtd">

<Entity
   Name="ServiceHistory"
   DBObjectType="table"
   DBObjectName="SERVICE_HISTORIES"
   AliasName="ServiceHistory"
   BindingStyle="OracleName"
   UseGlueCode="false"
   RowClass="oracle.srdemo.model.entities.ServiceHistoryImpl"
   MsgBundleClass="oracle.srdemo.model.entities.common.ServiceHistoryImplMsgBundle" >
   <Properties>
      <Property Name ="Recalc_SvhType" Value ="Hidden" />
   </Properties>
   <Data>
      <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
      <Property Name ="ID" Value ="3fd113fe-010a-1000-8038-8d9088295bcf::::EntityObject" />
      <Property Name ="IS_ABSTRACT" Value ="FALSE" />
      <Property Name ="IS_ACTIVE" Value ="FALSE" />
      <Property Name ="IS_LEAF" Value ="FALSE" />
      <Property Name ="IS_ROOT" Value ="FALSE" />
      <Property Name ="VISIBILITY" Value ="PUBLIC" />
   </Data>
   <DesignTime>
      <Attr Name="_isCodegen" Value="true" />
      <Attr Name="_version" Value="10.1.3.36.73" />
      <AttrArray Name="_publishEvents">
      </AttrArray>
      <Attr Name="_superClass" Value="oracle.srdemo.model.frameworkExt.SREntityImpl" />
      <Attr Name="_codeGenFlag2" Value="Init|Access|Msg" />
   </DesignTime>
   <Attribute
      Name="SvrId"
      IsNotNull="true"
      Precision="8"
      Scale="0"
      ColumnName="SVR_ID"
      Type="oracle.jbo.domain.Number"
      ColumnType="NUMBER"
      SQLType="NUMERIC"
      TableName="SERVICE_HISTORIES"
      PrimaryKey="true" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd113fe-010a-1000-8039-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="22" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="LineNo"
      IsNotNull="true"
      Precision="4"
      Scale="0"
      ColumnName="LINE_NO"
      Type="oracle.jbo.domain.Number"
      ColumnType="NUMBER"
      SQLType="NUMERIC"
      TableName="SERVICE_HISTORIES"
      PrimaryKey="true" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd113fe-010a-1000-803a-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="22" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="SvhDate"
      IsUpdateable="while_insert"
      IsNotNull="true"
      ColumnName="SVH_DATE"
      Type="oracle.jbo.domain.Date"
      ColumnType="TIMESTAMP"
      SQLType="TIMESTAMP"
      TableName="SERVICE_HISTORIES"
      HistoryColumn="DateHistory" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd113fe-010a-1000-803b-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="11" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="Notes"
      IsNotNull="true"
      Precision="4000"
      ColumnName="NOTES"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      SQLType="VARCHAR"
      TableName="SERVICE_HISTORIES" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd113fe-010a-1000-803c-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="4000" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="SvhType"
      IsUpdateable="while_insert"
      IsNotNull="true"
      Precision="10"
      ColumnName="SVH_TYPE"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      SQLType="VARCHAR"
      TableName="SERVICE_HISTORIES" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd113fe-010a-1000-803d-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="10" />
      </DesignTime>
      <ListValidationBean
         xmlns="http://xmlns.oracle.com/adfm/validation"
         ResId="SvhType_Rule_0"
         OnAttribute="SvhType"
         OperandType="LITERAL" >
         <AttrArray Name="List">
            <Item Value="Technician" />
            <Item Value="Customer" />
            <Item Value="Hidden" />
         </AttrArray>
      </ListValidationBean>
      <MethodValidationBean
         xmlns="http://xmlns.oracle.com/adfm/validation"
         ResId="SvhType_Rule_1"
         MethodName="validateOnlyStaffCanMarkHidden" >
      </MethodValidationBean>
   </Attribute>
   <Attribute
      Name="CreatedBy"
      IsNotNull="true"
      Precision="8"
      Scale="0"
      ColumnName="CREATED_BY"
      Type="oracle.jbo.domain.Number"
      ColumnType="NUMBER"
      SQLType="NUMERIC"
      TableName="SERVICE_HISTORIES" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd113fe-010a-1000-803e-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="22" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="Hidden"
      IsQueriable="false"
      IsPersistent="false"
      ColumnName="$none$"
      Type="java.lang.Boolean"
      ColumnType="$none$"
      SQLType="BIT" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd113fe-010a-1000-803f-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </Attribute>
   <AccessorAttribute
      Name="Users"
      Association="oracle.srdemo.model.entities.associations.ServiceHistoriesCreatedByUser"
      AssociationEnd="oracle.srdemo.model.entities.associations.ServiceHistoriesCreatedByUser.Users"
      AssociationOtherEnd="oracle.srdemo.model.entities.associations.ServiceHistoriesCreatedByUser.ServiceHistories"
      Type="oracle.srdemo.model.entities.UserImpl" >
   </AccessorAttribute>
   <AccessorAttribute
      Name="ServiceRequest"
      Association="oracle.srdemo.model.entities.associations.ServiceHistoriesForServiceRequest"
      AssociationEnd="oracle.srdemo.model.entities.associations.ServiceHistoriesForServiceRequest.ServiceRequest"
      AssociationOtherEnd="oracle.srdemo.model.entities.associations.ServiceHistoriesForServiceRequest.ServiceHistories"
      Type="oracle.srdemo.model.entities.ServiceRequestImpl" >
   </AccessorAttribute>
   <Key
      Name="HistoryTypeChk" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvhType" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="SVH_TYPE IN (&#39;Customer&#39;,&#39;Technician&#39;,&#39;Hidden&#39;)" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="HISTORY_TYPE_CHK" />
      </DesignTime>
   </Key>
   <Key
      Name="SvhPk" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvrId" />
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.LineNo" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_isPrimary" Value="true" />
         <Attr Name="_DBObjectName" Value="SVH_PK" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004119" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvrId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;SVR_ID&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004119" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004120" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.LineNo" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;LINE_NO&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004120" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004121" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvhDate" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;SVH_DATE&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004121" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004122" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.Notes" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;NOTES&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004122" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004123" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvhType" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;SVH_TYPE&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004123" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004124" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.CreatedBy" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;CREATED_BY&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004124" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004814" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvrId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;SVR_ID&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004814" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004815" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.LineNo" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;LINE_NO&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004815" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004816" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvhDate" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;SVH_DATE&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004816" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004817" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.Notes" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;NOTES&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004817" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004818" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvhType" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;SVH_TYPE&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004818" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004819" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.CreatedBy" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;CREATED_BY&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004819" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005052" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvrId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;SVR_ID&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005052" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005053" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.LineNo" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;LINE_NO&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005053" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005054" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvhDate" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;SVH_DATE&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005054" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005055" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.Notes" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;NOTES&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005055" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005056" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvhType" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;SVH_TYPE&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005056" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005057" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.CreatedBy" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;CREATED_BY&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005057" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005111" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvrId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;SVR_ID&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005111" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005112" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.LineNo" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;LINE_NO&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005112" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005113" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvhDate" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;SVH_DATE&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005113" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005114" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.Notes" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;NOTES&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005114" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005115" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvhType" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;SVH_TYPE&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005115" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005116" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.CreatedBy" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;CREATED_BY&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005116" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005327" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvrId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;SVR_ID&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005327" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005328" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.LineNo" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;LINE_NO&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005328" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005329" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvhDate" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;SVH_DATE&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005329" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005330" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.Notes" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;NOTES&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005330" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005331" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvhType" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;SVH_TYPE&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005331" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC005332" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.CreatedBy" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;CREATED_BY&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C005332" />
      </DesignTime>
   </Key>
   <Key
      Name="SvhSvrFk" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.SvrId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_referencedKey" Value="SVR_PK" />
         <Attr Name="_isForeign" Value="true" />
         <Attr Name="_DBObjectName" Value="SVH_SVR_FK" />
      </DesignTime>
   </Key>
   <Key
      Name="SvhUsrFk" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.CreatedBy" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_referencedKey" Value="USR_PK" />
         <Attr Name="_isForeign" Value="true" />
         <Attr Name="_DBObjectName" Value="SVH_USR_FK" />
      </DesignTime>
   </Key>
</Entity>
